GetAISastCustomerContext fetches an entry by UUID.
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
ai-sast-customer-contexts
/
{uuid}
GetAISastCustomerContext fetches an entry by UUID.
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/ai-sast-customer-contexts/{uuid}import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/ai-sast-customer-contexts/{uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/ai-sast-customer-contexts/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"context": "<string>",
"disable": true,
"project_exceptions": [
"<string>"
],
"project_selector": [
"<string>"
]
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
The UUID of the requested resource.
Query Parameters
List of fields to return (all fields are returned by default).
Response
A successful response.
Customer-provided context scoped to projects using policy-style selectors.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Customer-provided context payload.
Show child attributes
Show child attributes
Propagates system-level context settings to child namespaces when enabled.
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
Was this page helpful?
GetAISastCustomerContext fetches an entry by UUID.
